# -*- coding: utf-8 -*-

from launchpadlib.launchpad import Launchpad
from launchpadlib.credentials import Credentials
from launchpadlib.errors import HTTPError
from launchpadlib.launchpad import EDGE_SERVICE_ROOT

from teams.models import *

import settings

import os
import sys

def lp_login(lp_instance=EDGE_SERVICE_ROOT):
    cachedir = os.path.join(settings.PROJECT_PATH, 'lp_data/cache')
    creddir = os.path.join(settings.PROJECT_PATH, 'lp_data/lp_credentials')
    if not os.path.isdir(creddir):
        os.makedirs(creddir)
    cred = os.path.join(creddir, 'loco-directory.credentials')
    
    if os.path.exists(cred):
        credentials = Credentials()
        credentials.load(open(cred))
        launchpad = Launchpad(credentials, lp_instance, cachedir)
    else:
        try:
            launchpad = Launchpad.get_token_and_login('loco-directory',
                                                      lp_instance, cachedir)
        except HTTPError, e:
            print >> sys.stderr, 'Error connecting to Launchpad: %s' % str(e)
            sys.exit(1)
        f = open(cred, 'w')
        os.chmod(cred, 0600)
        launchpad.credentials.save(f)
        f.close()
    return launchpad

def is_user_on_loco_council(user):
    lp = lp_login()
    try:
        team = lp.people['ubuntu-lococouncil']
    except:
        print >> sys.stderr, 'Something went wrong.'
        return False
    return unicode(user) in [a.name for a in team.members]

def is_admin_or_owner(username, team):
    # check just using the LD data
    if username == team.owner:
        return True
    if team.admins.filter(lpid=username):
        return True
    
    # more complicated check :-/
    lp = lp_login()
    try:
        lp_team = lp.people[team.lp_name]
    except:
        print >> sys.stderr, 'Something went wrong.'
        return False
    if lp_team.team_owner.is_team:
        if filter(lambda a: a.name == username, lp_team.team_owner.members):
            return True
    return False

