# -*- coding: utf-8 -*-
from django.http import HttpResponseRedirect
from django.shortcuts import render_to_response
from django.template import RequestContext
from django.contrib.auth import logout

from common import utils

def versioned_render(page, context, context_instance=None):
    context['version'] = utils.get_version()
    if context_instance:
        return render_to_response(page, context, 
                                  context_instance=context_instance)
    return render_to_response(page, context)

def index(request):
    context = { 'pageSection': 'home', 
              }
    return versioned_render('index.html', context,
        RequestContext(request))

def about(request):
    context = { 'pageSection': 'about',
              }
    return versioned_render('about.html', context,
        RequestContext(request))

def site_logout(request):
    logout(request)
    return HttpResponseRedirect('/')
